Loading...
Searching...
No Matches
write_group_output_ctx.hpp File Reference
`#include <vector>`
`#include <restinio/asio_include.hpp>`
`#include <restinio/buffers.hpp>`
`#include <restinio/optional.hpp>`
`#include <restinio/variant.hpp>`
`#include <restinio/impl/sendfile_operation.hpp>`
`#include <restinio/compiler_features.hpp>`

Go to the source code of this file.

## Classes

class | restinio::impl::write_group_output_ctx_t
| Helper class for writting response data. More...
class | restinio::impl::write_group_output_ctx_t::trivial_write_operation_t
| Trivial write operaton. More...
class | restinio::impl::write_group_output_ctx_t::file_write_operation_t
| Write operaton using sendfile. More...
struct | restinio::impl::write_group_output_ctx_t::none_write_operation_t
| None write operation. More...

## Namespaces

namespace | restinio
namespace | restinio::impl

## Typedefs

using | restinio::impl::asio_bufs_container_t = std::vector< asio_ns::const_buffer >